Skip to main content

🚀 Quickstart

Connect to Slack with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Slack.
2

Authorize Slack

Go to Connections -> Add Test Connection -> Authorize, then log in to Slack. Later, you’ll let your users do the same directly from your app.
3

Call the Slack API

Let’s make your first request to the Slack API (fetch a list of channels in a Slack team). Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/conversations.list?limit=10" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.✅ You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

📚 Slack Integration Guides

Nango maintained guides for common use cases. Official docs: Slack API docs

🧩 Pre-built syncs & actions for Slack

Enable them in your dashboard. Extend and customize to fit your needs.

Channels

Function nameDescriptionTypeSource code
channelsSync conversations allowed by granted scopes - public/private channels, DMs, and group DMsSync🔗 Github

Messages

Function nameDescriptionTypeSource code
messages-receivedSync messages, thread replies, and reactions for conversations the bot can access; fully backfill new channels, then resync the last 10 days using channelsLastSyncDate metadata.Sync🔗 Github

Users

Function nameDescriptionTypeSource code
usersSync all workspace users including deactivated accounts with email and profile fieldsSync🔗 Github

Others

Function nameDescriptionTypeSource code
conversationsSync Slack conversations including channel membersSync🔗 Github